# To-Do List Manager

This is a command-line-based To-Do list manager written in Python. It allows users to create, manage, and store tasks in a JSON file. The program is designed to handle tasks with different priorities, due dates, and statuses. It provides methods to add, remove, and modify tasks, and it uses the `string-color` package to enhance the output with color formatting.

## Features

- Add tasks with a name, priority, and due date.
- Mark tasks as done and change their priority.
- View and manage a list of tasks from a JSON file.
- Retrieve specific tasks and update their properties.
- Simple command-line interface (CLI) interaction.
- Colored output using `string-color` for better readability.

## Requirements

- Python 3.6 or higher
- `string-color` package for colored output in the terminal

To install the `string-color` package, run:

```bash
pip install string-color
```

